Uploaded image for project: 'MariaDB MaxScale'
  1. MariaDB MaxScale
  2. MXS-3222

Authentication failed for older clients after upgrading to 2.5.4

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Cannot Reproduce
    • Affects Version/s: 2.5.4
    • Fix Version/s: N/A
    • Component/s: Authenticator
    • Labels:
      None
    • Environment:
      centos 7, python MySQLdb 1.3.10

      Description

      after upgrading from 2.4 to 2.5 series of maxscale older clients get the following error:

      2020-10-02 14:48:29 warning: (7131) [mariadbclient] Authentication failed for user 'centralqueue'@[138.203.8.180] to service 'ReadSVC'. Originating listener: 'ReadLST-129'. MariaDB error: 'Access denied for user 'centralqueue'@'138.203.8.180' (using password: YES)'.

      downgrading to 2.4 solves the problem

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            Maikel Punie Maikel Punie
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: